import 'package:nui_core/nui_core.dart';
import 'package:nui_core/ui/component/listview/nui_list_item_repo.dart';
import 'package:nui_media/model/nui_media_file.dart';
import 'package:nui_media/model/nui_media_models.dart';
import 'package:nui_media/ui/nui_media_preview.dart';
import 'package:nui_media/ui/nui_media_selection_horizontal.dart';
import 'package:nui_media/ui/nui_media_selection_preview.dart';

class NUIMediaListItemRepo extends NUIListItemRepository{
  @override
  void registerListItems(){
    registerItem(NUIListItem(entityClass: NUIMediaHorizontalSelection, shadowRadius:4, inflater: (dynamic data, int position, NUIListActionController handler) => NUIListItemImageHorizontal(file: data, handler: handler)));
    registerItem(NUIListItem(entityClass: NUIMediaHorizontalCameraSelection, shadowRadius:4, inflater: (dynamic data, int position, NUIListActionController handler) => NUIListItemCameraHorizontal(handler: handler)));
    registerItem(NUIListItem(entityClass: NUIMediaPagerImage, inflater: (dynamic data, int position, NUIListActionController handler) => NUIImagePreviewContent(data, handler: handler)));
    registerItem(NUIListItem(entityClass: NUIMediaPagerVideo, inflater: (dynamic data, int position, NUIListActionController handler) => NUIVideoPreviewContent(data, handler: handler)));
    registerItem(NUIListItem(entityClass: NUIMediaFile, inflater: (dynamic data, int position, NUIListActionController handler) => NUIMediaListItemImageGrid(mediaFile: data, controller: handler)));
    registerItem(NUIListItem(entityClass: NUIMediaFile, inflater: (dynamic data, int position, NUIListActionController handler) => NUIMediaListItemImageGrid(mediaFile: data, controller: handler)));
    registerItem(NUIListItem(entityClass: NUIMediaListItemGridSkeletalModel, inflater: (dynamic data, int position, NUIListActionController handler) => NUIMediaListItemImageGridSkeletal()));
  }
}